List order notification rules
curl --request GET \
--url https://api.pineyard.ai/crm/connections/{id}/order-notifications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/crm/connections/{id}/order-notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/crm/connections/{id}/order-notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"rules": [
{
"id": "<string>",
"trigger": "ORDER_PLACED",
"templateId": "<string>",
"enabled": true,
"delayMinutes": 10080,
"templateStatus": "<string>",
"templatePurpose": "<string>"
}
],
"recentOrderVolume": 1
}CRM
List order notification rules
List the order-status WhatsApp notification rules for a store connection
GET
/
crm
/
connections
/
{id}
/
order-notifications
List order notification rules
curl --request GET \
--url https://api.pineyard.ai/crm/connections/{id}/order-notifications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/crm/connections/{id}/order-notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/crm/connections/{id}/order-notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"rules": [
{
"id": "<string>",
"trigger": "ORDER_PLACED",
"templateId": "<string>",
"enabled": true,
"delayMinutes": 10080,
"templateStatus": "<string>",
"templatePurpose": "<string>"
}
],
"recentOrderVolume": 1
}
